## org.eclipse.emf.ecore
Interface EValidator.PatternMatcher

Enclosing interface:
  EValidator

    public static interface EValidator.PatternMatcher

An common interface for pattern-based constraints.

Method Summary
`boolean` `matches(java.lang.String value)` Returns whether the string value matches the pattern.

Method Detail

### matches

    boolean matches(java.lang.String value)

  Returns whether the string value matches the pattern.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.